<?xml version="1.0" encoding="UTF-8"?>
<xsd:schema xmlns="http://www.irs.gov/efile" xmlns:xsd="http://www.w3.org/2001/XMLSchema" targetNamespace="http://www.irs.gov/efile" elementFormDefault="qualified" attributeFormDefault="unqualified" version="1.0">

	<xsd:annotation>
		<xsd:documentation>
			<Description>IRS e-file Form 1120F Schedule I - Other Non ECI Assets Schedule</Description>
			<TaxYear>2018</TaxYear>
			<MaturityLevel>Final Release</MaturityLevel>
			<ReleaseDate>October 15, 2019</ReleaseDate>
		</xsd:documentation>
	</xsd:annotation>

	<xsd:include schemaLocation="../../../Common/efileTypes.xsd"/>

	<!-- ==================================== -->
	<!-- ==  Other Non ECI Assets Schedule == -->
	<!-- ==================================== -->

	<xsd:element name="OtherNonECIAssetsSchedule">
		<xsd:annotation>
			<xsd:documentation>Other Non ECI Assets Schedule</xsd:documentation>
		</xsd:annotation>
		<xsd:complexType>
			<xsd:complexContent>
				<xsd:extension base="OtherNonECIAssetsScheduleType">
					<xsd:attributeGroup ref="DocumentAttributes">
						<xsd:annotation>
							<xsd:documentation>Common return document attributes</xsd:documentation>
						</xsd:annotation>
					</xsd:attributeGroup>
					<xsd:attribute name="documentName" type="xsd:string" fixed="OtherNonECIAssetsSchedule">
						<xsd:annotation>
							<xsd:documentation>IRS internal use only. To avoid error in the return, do not include the attribute name or value.</xsd:documentation>
						</xsd:annotation>
					</xsd:attribute>
				</xsd:extension>
			</xsd:complexContent>
		</xsd:complexType>
	</xsd:element>

	<xsd:complexType name="OtherNonECIAssetsScheduleType">
		<xsd:annotation>
			<xsd:documentation>Content model for Other Non ECI Assets Schedule</xsd:documentation>
		</xsd:annotation>
		<xsd:sequence>

			<xsd:element name="OtherNonECIAssets" type="OtherNonECIAssetsType" minOccurs="0" maxOccurs="unbounded"/>

		</xsd:sequence>
	</xsd:complexType>

	<!-- Type for Repeating Group - Other Non ECI Assets -->
	<xsd:complexType name="OtherNonECIAssetsType">
		<xsd:annotation>
			<xsd:documentation>Content model for Other Non ECI Assets</xsd:documentation>
		</xsd:annotation>
		<xsd:sequence>

			<!-- Describe Type of Other non ECI Asset -->
			<xsd:element name="AssetDesc" type="LineExplanationType" minOccurs="0">
				<xsd:annotation>
					<xsd:documentation>
						<Description>Describe type of other non ECI asset</Description>
					</xsd:documentation>
				</xsd:annotation>
			</xsd:element>

			<!-- Show Calculation for Each Asset -->
			<xsd:element name="AssetCalculationTxt" type="ShortExplanationType" minOccurs="0">
				<xsd:annotation>
					<xsd:documentation>
						<Description>Show calculation for each asset</Description>
					</xsd:documentation>
				</xsd:annotation>
			</xsd:element>
			
			<!-- Total for Each Type of Asset -->
			<xsd:element name="TotalAssetsAmt" type="USAmountType" minOccurs="0">
				<xsd:annotation>
					<xsd:documentation>
						<Description>Total for each type of asset</Description>
					</xsd:documentation>
				</xsd:annotation>
			</xsd:element>			

		</xsd:sequence>
	</xsd:complexType>

</xsd:schema>
